# $Id$

def frange(start, stop=None, step=None):
    """Like range(), but returns list of floats instead

    All numbers are generated on-demand using generators
    """
    
    if stop is None:
        stop = float(start)
        start = 0.0
        
    if step is None:
        step = 1.0

    cur = float(start)

    while cur < stop:
        yield cur
        cur += step
